<?php
/**
 * 五十九秒网络购物cms 皇冠店铺实体类
 * ============================================================================
 * 版权所有 2009-2012 五十九秒网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.59miao.com；
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和
 * 使用；不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
 * $Author: longzhang
 * 
*/
if (!defined('IN_59MIAO'))
{
	exit('Access Defined');
}
class ReportbotModel extends Model{
	public function __construct() {
		parent::__construct();
		$this->_fields = array('id','botname','bottag','botcount','botlast','botlasturl');
		$this->_tables = array(DB_FREFIX.'reportbot');	
		$this->_check=new Check();	
	}
	
	public function findAll() {
		return parent::select(array('id','botname','bottag','botcount','botlast','botlasturl'), 
											array('order'=>'id ASC'));
	}	
	public function findOne($botname){			
			$_where = array("botname='{$botname}'");
			if ($this->_check->oneCheck($this, $_where))
			{
				return parent::select(array('id','botname','bottag','botcount','botlast','botlasturl'),
												array('where'=>$_where, 'limit'=>'1'));
			}
	}	
	public function update($botname,$botcount) {
		$count=$botcount+1;			
		$_where = array("botname='{$botname}'");	
		$_updateData['botcount']=$count;
		$_updateData['botlast'] = Tool::getDate(); //最后访问日期	
		$_updateData['botlasturl']=addslashes($_SERVER['HTTP_USER_AGENT']);
		return parent::update($_where, $_updateData);
		
	}
}
?>